Tag Parser: TagParser::MatroskaTagIds Namespace Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Namespaces | Functions
TagParser::MatroskaTagIds Namespace Reference

Encapsulates Matroska tag IDs. More...

## Namespaces
namespace | TrackSpecific
| Encapsulates track-specific Matroska tag IDs written by mkvmerge 7.0.0 or newer.

## Functions
constexpr TAG_PARSER_EXPORT std::string_view | original ()
constexpr TAG_PARSER_EXPORT std::string_view | sample ()
constexpr TAG_PARSER_EXPORT std::string_view | country ()
constexpr TAG_PARSER_EXPORT std::string_view | totalParts ()
constexpr TAG_PARSER_EXPORT std::string_view | partNumber ()
constexpr TAG_PARSER_EXPORT std::string_view | partOffset ()
constexpr TAG_PARSER_EXPORT std::string_view | title ()
constexpr TAG_PARSER_EXPORT std::string_view | subtitle ()
constexpr TAG_PARSER_EXPORT std::string_view | url ()
constexpr TAG_PARSER_EXPORT std::string_view | sortWith ()
constexpr TAG_PARSER_EXPORT std::string_view | instruments ()
constexpr TAG_PARSER_EXPORT std::string_view | email ()
constexpr TAG_PARSER_EXPORT std::string_view | address ()
constexpr TAG_PARSER_EXPORT std::string_view | fax ()
constexpr TAG_PARSER_EXPORT std::string_view | phone ()
constexpr TAG_PARSER_EXPORT std::string_view | artist ()
constexpr TAG_PARSER_EXPORT std::string_view | album ()
constexpr TAG_PARSER_EXPORT std::string_view | leadPerformer ()
constexpr TAG_PARSER_EXPORT std::string_view | accompaniment ()
constexpr TAG_PARSER_EXPORT std::string_view | composer ()
constexpr TAG_PARSER_EXPORT std::string_view | arranger ()
constexpr TAG_PARSER_EXPORT std::string_view | lyrics ()
constexpr TAG_PARSER_EXPORT std::string_view | lyricist ()
constexpr TAG_PARSER_EXPORT std::string_view | conductor ()
constexpr TAG_PARSER_EXPORT std::string_view | director ()
constexpr TAG_PARSER_EXPORT std::string_view | assistantDirector ()
constexpr TAG_PARSER_EXPORT std::string_view | directorOfPhotography ()
constexpr TAG_PARSER_EXPORT std::string_view | soundEngineer ()
constexpr TAG_PARSER_EXPORT std::string_view | artDirector ()
constexpr TAG_PARSER_EXPORT std::string_view | productionDesigner ()
constexpr TAG_PARSER_EXPORT std::string_view | choregrapher ()
constexpr TAG_PARSER_EXPORT std::string_view | costumeDesigner ()
constexpr TAG_PARSER_EXPORT std::string_view | actor ()
constexpr TAG_PARSER_EXPORT std::string_view | character ()
constexpr TAG_PARSER_EXPORT std::string_view | writtenBy ()
constexpr TAG_PARSER_EXPORT std::string_view | screenplayBy ()
constexpr TAG_PARSER_EXPORT std::string_view | editedBy ()
constexpr TAG_PARSER_EXPORT std::string_view | producer ()
constexpr TAG_PARSER_EXPORT std::string_view | coproducer ()
constexpr TAG_PARSER_EXPORT std::string_view | executiveProducer ()
constexpr TAG_PARSER_EXPORT std::string_view | distributedBy ()
constexpr TAG_PARSER_EXPORT std::string_view | masteredBy ()
constexpr TAG_PARSER_EXPORT std::string_view | encodedBy ()
constexpr TAG_PARSER_EXPORT std::string_view | mixedBy ()
constexpr TAG_PARSER_EXPORT std::string_view | remixedBy ()
constexpr TAG_PARSER_EXPORT std::string_view | productionStudio ()
constexpr TAG_PARSER_EXPORT std::string_view | thanksTo ()
constexpr TAG_PARSER_EXPORT std::string_view | publisher ()
constexpr TAG_PARSER_EXPORT std::string_view | label ()
constexpr TAG_PARSER_EXPORT std::string_view | genre ()
constexpr TAG_PARSER_EXPORT std::string_view | mood ()
constexpr TAG_PARSER_EXPORT std::string_view | originalMediaType ()
constexpr TAG_PARSER_EXPORT std::string_view | contentType ()
constexpr TAG_PARSER_EXPORT std::string_view | subject ()
constexpr TAG_PARSER_EXPORT std::string_view | description ()
constexpr TAG_PARSER_EXPORT std::string_view | keywords ()
constexpr TAG_PARSER_EXPORT std::string_view | summary ()
constexpr TAG_PARSER_EXPORT std::string_view | synopsis ()
constexpr TAG_PARSER_EXPORT std::string_view | initialKey ()
constexpr TAG_PARSER_EXPORT std::string_view | period ()
constexpr TAG_PARSER_EXPORT std::string_view | lawRating ()
constexpr TAG_PARSER_EXPORT std::string_view | icra ()
constexpr TAG_PARSER_EXPORT std::string_view | dateRelease ()
constexpr TAG_PARSER_EXPORT std::string_view | dateRecorded ()
constexpr TAG_PARSER_EXPORT std::string_view | dateEncoded ()
constexpr TAG_PARSER_EXPORT std::string_view | dateTagged ()
constexpr TAG_PARSER_EXPORT std::string_view | dateDigitized ()
constexpr TAG_PARSER_EXPORT std::string_view | dateWritten ()
constexpr TAG_PARSER_EXPORT std::string_view | datePurchased ()
constexpr TAG_PARSER_EXPORT std::string_view | recordingLocation ()
constexpr TAG_PARSER_EXPORT std::string_view | compositionLocation ()
constexpr TAG_PARSER_EXPORT std::string_view | composerNationality ()
constexpr TAG_PARSER_EXPORT std::string_view | comment ()
constexpr TAG_PARSER_EXPORT std::string_view | playCounter ()
constexpr TAG_PARSER_EXPORT std::string_view | rating ()
constexpr TAG_PARSER_EXPORT std::string_view | encoder ()
constexpr TAG_PARSER_EXPORT std::string_view | encoderSettings ()
constexpr TAG_PARSER_EXPORT std::string_view | bps ()
constexpr TAG_PARSER_EXPORT std::string_view | fps ()
constexpr TAG_PARSER_EXPORT std::string_view | bpm ()
constexpr TAG_PARSER_EXPORT std::string_view | measure ()
constexpr TAG_PARSER_EXPORT std::string_view | tuning ()
constexpr TAG_PARSER_EXPORT std::string_view | replaygainGain ()
constexpr TAG_PARSER_EXPORT std::string_view | replaygainPeak ()
constexpr TAG_PARSER_EXPORT std::string_view | duration ()
constexpr TAG_PARSER_EXPORT std::string_view | numberOfFrames ()
constexpr TAG_PARSER_EXPORT std::string_view | numberOfBytes ()
constexpr TAG_PARSER_EXPORT std::string_view | identifiers ()
constexpr TAG_PARSER_EXPORT std::string_view | isrc ()
constexpr TAG_PARSER_EXPORT std::string_view | mcdi ()
constexpr TAG_PARSER_EXPORT std::string_view | isbn ()
constexpr TAG_PARSER_EXPORT std::string_view | barcode ()
constexpr TAG_PARSER_EXPORT std::string_view | catalogNumber ()
constexpr TAG_PARSER_EXPORT std::string_view | labelCode ()
constexpr TAG_PARSER_EXPORT std::string_view | lccn ()
constexpr TAG_PARSER_EXPORT std::string_view | imdb ()
constexpr TAG_PARSER_EXPORT std::string_view | tmdb ()
constexpr TAG_PARSER_EXPORT std::string_view | tvdb ()
constexpr TAG_PARSER_EXPORT std::string_view | purchaseItem ()
constexpr TAG_PARSER_EXPORT std::string_view | purchaseInfo ()
constexpr TAG_PARSER_EXPORT std::string_view | purchaseOwner ()
constexpr TAG_PARSER_EXPORT std::string_view | purchasePrice ()
constexpr TAG_PARSER_EXPORT std::string_view | purchaseCurrency ()
constexpr TAG_PARSER_EXPORT std::string_view | copyright ()
constexpr TAG_PARSER_EXPORT std::string_view | productionCopyright ()
constexpr TAG_PARSER_EXPORT std::string_view | license ()
constexpr TAG_PARSER_EXPORT std::string_view | termsOfUse ()
constexpr TAG_PARSER_EXPORT std::string_view | language ()

## Detailed Description

Encapsulates Matroska tag IDs.

See also
  See https://matroska.org/technical/specs/tagging/index.html for a complete list of the officially supported Matroska tag names.

## Function Documentation

## ◆ accompaniment()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::accompaniment | ( |  | ) |
| constexpr

Definition at line 98 of file matroskatagid.h.

## ◆ actor()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::actor | ( |  | ) |
| constexpr

Definition at line 154 of file matroskatagid.h.

## ◆ address()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::address | ( |  | ) |
| constexpr

Definition at line 71 of file matroskatagid.h.

## ◆ album()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::album | ( |  | ) |
| constexpr

Definition at line 90 of file matroskatagid.h.

## ◆ arranger()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::arranger | ( |  | ) |
| constexpr

Definition at line 106 of file matroskatagid.h.

## ◆ artDirector()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::artDirector | ( |  | ) |
| constexpr

Definition at line 138 of file matroskatagid.h.

## ◆ artist()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::artist | ( |  | ) |
| constexpr

Definition at line 86 of file matroskatagid.h.

## ◆ assistantDirector()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::assistantDirector | ( |  | ) |
| constexpr

Definition at line 126 of file matroskatagid.h.

## ◆ barcode()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::barcode | ( |  | ) |
| constexpr

Definition at line 409 of file matroskatagid.h.

## ◆ bpm()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::bpm | ( |  | ) |
| constexpr

Definition at line 358 of file matroskatagid.h.

## ◆ bps()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::bps | ( |  | ) |
| constexpr

Definition at line 350 of file matroskatagid.h.

## ◆ catalogNumber()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::catalogNumber | ( |  | ) |
| constexpr

Definition at line 413 of file matroskatagid.h.

## ◆ character()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::character | ( |  | ) |
| constexpr

Definition at line 158 of file matroskatagid.h.

## ◆ choregrapher()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::choregrapher | ( |  | ) |
| constexpr

Definition at line 146 of file matroskatagid.h.

## ◆ comment()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::comment | ( |  | ) |
| constexpr

Definition at line 327 of file matroskatagid.h.

## ◆ composer()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::composer | ( |  | ) |
| constexpr

Definition at line 102 of file matroskatagid.h.

## ◆ composerNationality()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::composerNationality | ( |  | ) |
| constexpr

Definition at line 320 of file matroskatagid.h.

## ◆ compositionLocation()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::compositionLocation | ( |  | ) |
| constexpr

Definition at line 316 of file matroskatagid.h.

## ◆ conductor()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::conductor | ( |  | ) |
| constexpr

Definition at line 118 of file matroskatagid.h.

## ◆ contentType()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::contentType | ( |  | ) |
| constexpr

Definition at line 237 of file matroskatagid.h.

## ◆ coproducer()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::coproducer | ( |  | ) |
| constexpr

Definition at line 178 of file matroskatagid.h.

## ◆ copyright()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::copyright | ( |  | ) |
| constexpr

Definition at line 463 of file matroskatagid.h.

## ◆ costumeDesigner()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::costumeDesigner | ( |  | ) |
| constexpr

Definition at line 150 of file matroskatagid.h.

## ◆ country()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::country | ( |  | ) |
| constexpr

Definition at line 22 of file matroskatagid.h.

## ◆ dateDigitized()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::dateDigitized | ( |  | ) |
| constexpr

Definition at line 297 of file matroskatagid.h.

## ◆ dateEncoded()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::dateEncoded | ( |  | ) |
| constexpr

Definition at line 289 of file matroskatagid.h.

## ◆ datePurchased()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::datePurchased | ( |  | ) |
| constexpr

Definition at line 305 of file matroskatagid.h.

## ◆ dateRecorded()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::dateRecorded | ( |  | ) |
| constexpr

Definition at line 285 of file matroskatagid.h.

## ◆ dateRelease()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::dateRelease | ( |  | ) |
| constexpr

Definition at line 281 of file matroskatagid.h.

## ◆ dateTagged()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::dateTagged | ( |  | ) |
| constexpr

Definition at line 293 of file matroskatagid.h.

## ◆ dateWritten()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::dateWritten | ( |  | ) |
| constexpr

Definition at line 301 of file matroskatagid.h.

## ◆ description()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::description | ( |  | ) |
| constexpr

Definition at line 245 of file matroskatagid.h.

## ◆ director()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::director | ( |  | ) |
| constexpr

Definition at line 122 of file matroskatagid.h.

## ◆ directorOfPhotography()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::directorOfPhotography | ( |  | ) |
| constexpr

Definition at line 130 of file matroskatagid.h.

## ◆ distributedBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::distributedBy | ( |  | ) |
| constexpr

Definition at line 186 of file matroskatagid.h.

## ◆ duration()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::duration | ( |  | ) |
| constexpr

Definition at line 378 of file matroskatagid.h.

## ◆ editedBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::editedBy | ( |  | ) |
| constexpr

Definition at line 170 of file matroskatagid.h.

## ◆ email()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::email | ( |  | ) |
| constexpr

Definition at line 67 of file matroskatagid.h.

## ◆ encodedBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::encodedBy | ( |  | ) |
| constexpr

Definition at line 194 of file matroskatagid.h.

## ◆ encoder()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::encoder | ( |  | ) |
| constexpr

Definition at line 342 of file matroskatagid.h.

## ◆ encoderSettings()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::encoderSettings | ( |  | ) |
| constexpr

Definition at line 346 of file matroskatagid.h.

## ◆ executiveProducer()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::executiveProducer | ( |  | ) |
| constexpr

Definition at line 182 of file matroskatagid.h.

## ◆ fax()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::fax | ( |  | ) |
| constexpr

Definition at line 75 of file matroskatagid.h.

## ◆ fps()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::fps | ( |  | ) |
| constexpr

Definition at line 354 of file matroskatagid.h.

## ◆ genre()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::genre | ( |  | ) |
| constexpr

Definition at line 225 of file matroskatagid.h.

## ◆ icra()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::icra | ( |  | ) |
| constexpr

Deprecated
  Not sure what this is or should have been. Remove in v12.

Definition at line 274 of file matroskatagid.h.

## ◆ identifiers()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::identifiers | ( |  | ) |
| constexpr

Definition at line 393 of file matroskatagid.h.

## ◆ imdb()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::imdb | ( |  | ) |
| constexpr

Definition at line 425 of file matroskatagid.h.

## ◆ initialKey()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::initialKey | ( |  | ) |
| constexpr

Definition at line 261 of file matroskatagid.h.

## ◆ instruments()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::instruments | ( |  | ) |
| constexpr

Definition at line 63 of file matroskatagid.h.

## ◆ isbn()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::isbn | ( |  | ) |
| constexpr

Definition at line 405 of file matroskatagid.h.

## ◆ isrc()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::isrc | ( |  | ) |
| constexpr

Definition at line 397 of file matroskatagid.h.

## ◆ keywords()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::keywords | ( |  | ) |
| constexpr

Definition at line 249 of file matroskatagid.h.

## ◆ label()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::label | ( |  | ) |
| constexpr

Definition at line 218 of file matroskatagid.h.

## ◆ labelCode()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::labelCode | ( |  | ) |
| constexpr

Definition at line 417 of file matroskatagid.h.

## ◆ language()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::language | ( |  | ) |
| constexpr

Definition at line 482 of file matroskatagid.h.

## ◆ lawRating()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::lawRating | ( |  | ) |
| constexpr

Definition at line 269 of file matroskatagid.h.

## ◆ lccn()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::lccn | ( |  | ) |
| constexpr

Definition at line 421 of file matroskatagid.h.

## ◆ leadPerformer()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::leadPerformer | ( |  | ) |
| constexpr

Definition at line 94 of file matroskatagid.h.

## ◆ license()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::license | ( |  | ) |
| constexpr

Definition at line 471 of file matroskatagid.h.

## ◆ lyricist()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::lyricist | ( |  | ) |
| constexpr

Definition at line 114 of file matroskatagid.h.

## ◆ lyrics()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::lyrics | ( |  | ) |
| constexpr

Definition at line 110 of file matroskatagid.h.

## ◆ masteredBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::masteredBy | ( |  | ) |
| constexpr

Definition at line 190 of file matroskatagid.h.

## ◆ mcdi()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::mcdi | ( |  | ) |
| constexpr

Definition at line 401 of file matroskatagid.h.

## ◆ measure()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::measure | ( |  | ) |
| constexpr

Definition at line 362 of file matroskatagid.h.

## ◆ mixedBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::mixedBy | ( |  | ) |
| constexpr

Definition at line 198 of file matroskatagid.h.

## ◆ mood()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::mood | ( |  | ) |
| constexpr

Definition at line 229 of file matroskatagid.h.

## ◆ numberOfBytes()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::numberOfBytes | ( |  | ) |
| constexpr

Definition at line 386 of file matroskatagid.h.

## ◆ numberOfFrames()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::numberOfFrames | ( |  | ) |
| constexpr

Definition at line 382 of file matroskatagid.h.

## ◆ original()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::original | ( |  | ) |
| constexpr

Definition at line 14 of file matroskatagid.h.

## ◆ originalMediaType()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::originalMediaType | ( |  | ) |
| constexpr

Definition at line 233 of file matroskatagid.h.

## ◆ partNumber()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::partNumber | ( |  | ) |
| constexpr

Definition at line 33 of file matroskatagid.h.

## ◆ partOffset()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::partOffset | ( |  | ) |
| constexpr

Definition at line 37 of file matroskatagid.h.

## ◆ period()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::period | ( |  | ) |
| constexpr

Definition at line 265 of file matroskatagid.h.

## ◆ phone()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::phone | ( |  | ) |
| constexpr

Definition at line 79 of file matroskatagid.h.

## ◆ playCounter()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::playCounter | ( |  | ) |
| constexpr

Definition at line 331 of file matroskatagid.h.

## ◆ producer()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::producer | ( |  | ) |
| constexpr

Definition at line 174 of file matroskatagid.h.

## ◆ productionCopyright()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::productionCopyright | ( |  | ) |
| constexpr

Definition at line 467 of file matroskatagid.h.

## ◆ productionDesigner()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::productionDesigner | ( |  | ) |
| constexpr

Definition at line 142 of file matroskatagid.h.

## ◆ productionStudio()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::productionStudio | ( |  | ) |
| constexpr

Definition at line 206 of file matroskatagid.h.

## ◆ publisher()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::publisher | ( |  | ) |
| constexpr

Definition at line 214 of file matroskatagid.h.

## ◆ purchaseCurrency()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::purchaseCurrency | ( |  | ) |
| constexpr

Definition at line 456 of file matroskatagid.h.

## ◆ purchaseInfo()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::purchaseInfo | ( |  | ) |
| constexpr

Definition at line 444 of file matroskatagid.h.

## ◆ purchaseItem()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::purchaseItem | ( |  | ) |
| constexpr

Definition at line 440 of file matroskatagid.h.

## ◆ purchaseOwner()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::purchaseOwner | ( |  | ) |
| constexpr

Definition at line 448 of file matroskatagid.h.

## ◆ purchasePrice()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::purchasePrice | ( |  | ) |
| constexpr

Definition at line 452 of file matroskatagid.h.

## ◆ rating()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::rating | ( |  | ) |
| constexpr

Definition at line 335 of file matroskatagid.h.

## ◆ recordingLocation()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::recordingLocation | ( |  | ) |
| constexpr

Definition at line 312 of file matroskatagid.h.

## ◆ remixedBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::remixedBy | ( |  | ) |
| constexpr

Definition at line 202 of file matroskatagid.h.

## ◆ replaygainGain()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::replaygainGain | ( |  | ) |
| constexpr

Definition at line 370 of file matroskatagid.h.

## ◆ replaygainPeak()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::replaygainPeak | ( |  | ) |
| constexpr

Definition at line 374 of file matroskatagid.h.

## ◆ sample()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::sample | ( |  | ) |
| constexpr

Definition at line 18 of file matroskatagid.h.

## ◆ screenplayBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::screenplayBy | ( |  | ) |
| constexpr

Definition at line 166 of file matroskatagid.h.

## ◆ sortWith()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::sortWith | ( |  | ) |
| constexpr

Definition at line 59 of file matroskatagid.h.

## ◆ soundEngineer()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::soundEngineer | ( |  | ) |
| constexpr

Definition at line 134 of file matroskatagid.h.

## ◆ subject()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::subject | ( |  | ) |
| constexpr

Definition at line 241 of file matroskatagid.h.

## ◆ subtitle()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::subtitle | ( |  | ) |
| constexpr

Definition at line 48 of file matroskatagid.h.

## ◆ summary()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::summary | ( |  | ) |
| constexpr

Definition at line 253 of file matroskatagid.h.

## ◆ synopsis()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::synopsis | ( |  | ) |
| constexpr

Definition at line 257 of file matroskatagid.h.

## ◆ termsOfUse()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::termsOfUse | ( |  | ) |
| constexpr

Definition at line 475 of file matroskatagid.h.

## ◆ thanksTo()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::thanksTo | ( |  | ) |
| constexpr

Definition at line 210 of file matroskatagid.h.

## ◆ title()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::title | ( |  | ) |
| constexpr

Definition at line 44 of file matroskatagid.h.

## ◆ tmdb()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::tmdb | ( |  | ) |
| constexpr

Definition at line 429 of file matroskatagid.h.

## ◆ totalParts()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::totalParts | ( |  | ) |
| constexpr

Definition at line 29 of file matroskatagid.h.

## ◆ tuning()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::tuning | ( |  | ) |
| constexpr

Definition at line 366 of file matroskatagid.h.

## ◆ tvdb()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::tvdb | ( |  | ) |
| constexpr

Definition at line 433 of file matroskatagid.h.

## ◆ url()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::url | ( |  | ) |
| constexpr

Definition at line 55 of file matroskatagid.h.

## ◆ writtenBy()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::writtenBy | ( |  | ) |
| constexpr

Definition at line 162 of file matroskatagid.h.